Bug 188826 - CVE-2006-1733 Accessing XBL compilation scope via valueOf.call()
Summary: CVE-2006-1733 Accessing XBL compilation scope via valueOf.call()
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox
Version: 4.0
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 03:26 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-04-25 13:47:01 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0328 normal SHIPPED_LIVE Critical: firefox security update 2006-04-14 04:00:00 UTC

Description Josh Bressers 2006-04-13 03:26:34 UTC
Accessing XBL compilation scope via valueOf.call()


moz_bug_r_a4 discovered that the compilation scope of privileged built-in
XBL bindings was not fully protected from web content and could be accessed
by calling valueOf.call() and valueOf.apply() on a method of that binding.
This could then be used to compile and run attacker-supplied JavaScript,
giving it the privileges of the binding which would allow an attacker to
install malware such as viruses and password sniffers.

shutdown  reported an alternate way to get to XBL compilation scope by
inserting an XBL method into the DOM's document.body prototype chain.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=312871
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=313236
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=313375

Comment 2 Josh Bressers 2006-04-14 14:59:11 UTC
Lifting embargo

Comment 4 Red Hat Bugzilla 2006-04-14 15:50:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html


Comment 5 Red Hat Bugzilla 2006-04-25 13:47:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html



Note You need to log in before you can comment on or make changes to this bug.